it-swarm.com.de

Upgrade-Vorgang für fontawesome von 4 auf 5

Wir haben zu font-awesome 5 (yea) beigetragen, und wir schauen von einem Wechsel von unseren bestehenden Symbolen (Symbolsatz) zu font-awesome. Ist die Benennung von Symbolen und die Verwendung von font-awesome 5 abwärtskompatibel mit font-awesome 4.7?

IE: Should we go to 4.7 now, and have very easy upgrade to 5.0?OR should we hold off until font-awesome 5 comes out?

16
Daniel

Es ist nicht abwärtskompatibel.

Ich veröffentliche nur ein Skript, um die Migration von 4 auf 5 in durchzuführen:

https://github.com/estebandelaf/scripts/blob/master/fontawesome4to5.sh

PS: Ich weiß, der Beitrag stammt aus einem Jahr, ist aber das zweite Ergebnis in Google für "fontawesome migration script 4 to 5".

11
delaf

Ich habe ein Python-Skript erstellt, um von 4.7 auf 5.1 zu aktualisieren, ohne dass es erforderlich ist. Es hat für mich am besten funktioniert. https://Gist.github.com/ilanben/38ef4d4545cb74089375af0ceecf439b

Update: Die vorübergehend unterbrochene Verbindung wurde behoben

2
Ilan.b

Da die oben genannten Skripte für Symbole wie Thermometer, Batterie usw. nicht funktionieren, wurde ein Python-Skript erstellt, das für alle Symbole funktioniert. Unten ist der Link.

https://github.com/abkcode/fontawesome4to5

Einzelheiten zu den Aktualisierungsänderungen finden Sie unter.

https://fontawesome.com/how-to-use/on-the-web/setup/upgrading-from-version-4

2
Abhijeet Kambli

Fontawesome bietet v4-shiv.js, das alte v4-Symbole in v5 überführt, jedoch nur für das SVG + JS-Framework.

Wenn Sie das CSS-Framework mit Webfonts verwenden, finden Sie hier ein Javascript, das dasselbe tut.

https://Gist.github.com/timint/fb53929ff196d0a5754188bd93a80cef

2
tim

Benutze einfach use.fontawesome.com/releases/v5.10.1/css/v4-shims.css

Weitere Details: https://fontawesome.com/how-to-use/on-the-web/setup/upgrade-from-version-4

0
javad rhmi